Qt 5.6 | Qt 3D | C++ Classes | QRenderTargetSelector

Qt 5.6.3 Reference Documentation

# QRenderTargetSelector Class

(Qt3DRender::QRenderTargetSelector)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- target : Qt3DRender::QRenderTarget *

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderTargetSelector(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QRenderTargetSelector()
QList<QRenderAttachment::RenderAttachmentType> | drawBuffers() const
void | setDrawBuffers(const QList<QRenderAttachment::RenderAttachmentType> &buffers)
QRenderTarget * | target() const

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setTarget(QRenderTarget *target)

- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | targetChanged(QRenderTarget *target)

- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QRenderTargetSelector(QRenderTargetSelectorPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### target : Qt3DRender::QRenderTarget *

Access functions:

QRenderTarget * | target() const
void | setTarget(QRenderTarget *target)

Notifier signal:

void | targetChanged(QRenderTarget *target)

## Member Function Documentation

### QRenderTargetSelector::QRenderTargetSelector(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QRenderTargetSelector.

### `[protected]` QRenderTargetSelector::QRenderTargetSelector(QRenderTargetSelectorPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QRenderTargetSelector::~QRenderTargetSelector()

Destroys the instance of QRenderTargetSelector.

### `[protected]` void QRenderTargetSelector::copy(const Qt3DCore::QNode *ref)

### QList<QRenderAttachment::RenderAttachmentType> QRenderTargetSelector::drawBuffers() const

See also setDrawBuffers().

### void QRenderTargetSelector::setDrawBuffers(const QList<QRenderAttachment::RenderAttachmentType> &buffers)

See also drawBuffers().